using UnityEngine;
using UnityEngine.UI;

public class MainMenuManager : MonoBehaviour
{
    public GameObject mainMenuPanel;
    public GameObject creditsPanel;

    public void ClickPlay()
    {
        playSound();
        UnityEngine.SceneManagement.SceneManager.LoadScene("Game");
    }

    public void ClickCredits()
    {
        playSound();
        mainMenuPanel.SetActive(false);
        creditsPanel.SetActive(true);
    }

    public void ClickQuit()
    {
        playSound();
        Application.Quit();
    }

    public void ClickBackCredits()
    {
        playSound();
        creditsPanel.SetActive(false);
        mainMenuPanel.SetActive(true);
    }

    public void playSound()
    {
        SoundEffects.instance.PlaySound(SoundEffects.instance.click);
    }
}
